# All files / src/custom-nodes/debug-protection-nodes DebugProtectionFunctionNode.ts

100% Statements 14/14
100% Branches 0/0
100% Functions 1/1
100% Lines 11/11

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    471x
    1x

    1x

    1x

    1x

    1x

    1x

    1x

    1x

    1x

    1x

     import { injectable, inject } from 'inversify';
    import { ServiceIdentifiers } from '../../container/ServiceIdentifiers';

    import * as format from 'string-template';

    import { IOptions } from '../../interfaces/options/IOptions';

    import { initializable } from '../../decorators/Initializable';

    import { DebugProtectionFunctionTemplate } from '../../templates/custom-nodes/debug-protection-nodes/debug-protection-function-node/DebugProtectionFunctionTemplate';

    import { AbstractCustomNode } from '../AbstractCustomNode';

    @injectable()
    export class DebugProtectionFunctionNode extends AbstractCustomNode {
        /**
         * @type {string}
         */
        @initializable()
        private debugProtectionFunctionName: string;

        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            super(options);
        }

        /**
         * @param debugProtectionFunctionName
         */
        public initialize (debugProtectionFunctionName: string): void {
            this.debugProtectionFunctionName = debugProtectionFunctionName;
        }

        /**
         * @returns {string}
         */
        protected getTemplate (): string {
            return format(DebugProtectionFunctionTemplate(), {
                debugProtectionFunctionName: this.debugProtectionFunctionName
            });
        }
    }